D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ExcludeAuthorizationService Resource

GET /guest

this method doesn't need authorization and the SecretManagerProvider is null see to implement this behavior add to excludes section in your application.yaml - path: /{path-to-your-method-path} example for this method - path: /excluded

Response Body
media type data type description
*/* string

Example

Request
GET /guest
Content-Type: */*
Accept: */*

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: */*

                
...
                
              

GET /guest/bad-request

Response Body
media type data type description
*/* string

Example

Request
GET /guest/bad-request
Content-Type: */*
Accept: */*

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: */*

                
...
                
              

GET /guest/not-found

Response Body
media type data type description
*/* string

Example

Request
GET /guest/not-found
Content-Type: */*
Accept: */*

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: */*

                
...
                
              

PURGE /guest/test-purge

Response Body
media type data type description
*/* object

Example

Request
PURGE /guest/test-purge
Content-Type: */*
Accept: */*

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: */*

                
...